<?php

namespace xenarabia\usermood\XF\Entity;

use XF\Mvc\Entity\Structure;

class User extends XFCP_User
{
    public static function getStructure(Structure $structure)
    {
        $structure = parent::getStructure($structure);
        $structure->relations['UserMood'] = [
				'entity' => 'XF:User',
				'type' => self::TO_ONE,
				'conditions' => [['mood_id', '=', '$mood_id']],
				'primary' => true
        ];
      
        return $structure;   
    }   

    public function getMymood()
    {
      $repo = $this->repository('xenarabia\usermood\XF:UsermoodRepo');
      return $repo->getUsermoodByUser($this->mood_id);
    }
}

